c#cad 创建-直线(五)

运行环境 vs2022 c# cad2016  调试成功

一、代码说明

 这段代码是用于在AutoCAD中创建一条直线。首先获取当前活动文档和数据库的引用,然后创建一个编辑器对象用于提示用户输入。接下来,在一个事务中获取模型空间的块表记录,并定义直线的长度和起点。然后使用起点和长度创建一条直线,并将其添加到块表记录中。最后提交事务以保存更改。

二、完整代码
 [CommandMethod("CreateLine")]
        public void CreateLine()
        {
            Document doc = Application.DocumentManager.MdiActiveDocument;
            Database db = doc.Database;
            Editor ed = doc.Editor;

            using (Transaction tr = db.TransactionManager.StartTransaction())
            {
                BlockTableRecord btr = (BlockTableRecord)tr.GetObject(SymbolUtilityServices.GetBlockModelSpaceId(db), OpenMode.ForWrite);

                // 定义直线的长度为10,起点为0,0,0
                double length = 10;
                Point3d startPoint = new Point3d(0, 0, 0);
                Line line = new Line(startPoint, startPoint + new Vector3d(length, 0, 0)); // 创建直线,从原点到x轴正向10个单位处

                // 将直线添加到块表中并提交事务
                btr.AppendEntity(line);
                tr.AddNewlyCreatedDBObject(line, true);
                tr.Commit();
            }

 c#cad 创建-直线(五)_第1张图片

//感谢大家的点赞,收藏,转发,关注 

你可能感兴趣的:(CAD二次开发,c#)